*

Lists all generic invites in a tenant. Paginated and with Filter.

GET /users/invitations/groups

Operation id: InviteUserService_ListGenericInvitations

Description

Permission level: Read

Tags: InviteUserService

Parameters

Query parameters

NameTypeRequiredDescription
isInactivebooleanNoFilter only inactive invitations. An invitation is considered inactive when it's expired or has no remaining seats available. Default: false. By default this field is false, listing only active invitations.
pageSizeinteger (int32)NoRequested size of the next page of data. If not set, the default page size is 10, Required: false.
pageTokenstringNoMongoDB Field, describes the encoded page token for page traversal, Required: false
searchMatchTypestringNoENUM to switch between the type of string matching you want on a query. Default = REGEX, Required = false.
sortFieldstringNoSort field, valid values: displayName Default: displayName, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
specificFilter.displayNamestringNo
tenantIdstringNoThe tenant of the invitations, Default: tenant from the authorization token

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
invitesarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "invites": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "inviteToken": {
            "type": "string"
          },
          "inviteUrl": {
            "type": "string"
          },
          "numberOfSeats": {
            "type": "integer",
            "format": "int32"
          },
          "remainingSeats": {
            "type": "integer",
            "format": "int32"
          },
          "displayName": {
            "type": "string"
          },
          "site": {
            "type": "object",
            "description": "Type definition that includes the site of the invite. This is necessary so we can extend\nthis type with the site details in the GraphQL Mesh.",
            "properties": {
              "tenantId": {
                "type": "string"
              },
              "name": {
                "type": "string"
              }
            }
          },
          "owner": {
            "type": "object",
            "properties": {
              "tenantId": {
                "type": "string",
                "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
              },
              "userId": {
                "type": "string",
                "description": "The user ID. Required: true."
              },
              "firstName": {
                "type": "string",
                "description": "The first name. Required: false."
              },
              "lastName": {
                "type": "string",
                "description": "The last name. Required: false."
              }
            }
          },
          "expiresAt": {
            "type": "string",
            "format": "date-time"
          },
          "createdAt": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}